#!/bin/bash

export MarkdownInput
MarkdownInput="$1"

export PDFOutput
PDFOutput="$2"

export PDFMetadataFileInput
PDFMetadataFileInput="$3"

export PDFMetadataFile
PDFMetadataFile="$4"

$MO_PATH $PDFMetadataFileInput > $PDFMetadataFile

pandoc \
$MarkdownInput \
    --template $PANDOC_TEMPLATE \
    --metadata-file=$PDFMetadataFile \
    --from markdown \
    --to=pdf \
    --output $PDFOutput